| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
eprosima::fastdds::dds::xtypes::detail Namespace Reference

## Classes

struct | StringSTypeDefn_rob
struct | StringSTypeDefn_f
struct | StringLTypeDefn_rob
struct | StringLTypeDefn_f
struct | MinimalMemberDetail_rob
struct | MinimalMemberDetail_f
struct | CommonCollectionHeader_rob
struct | CommonCollectionHeader_f
struct | CommonEnumeratedHeader_rob
struct | CommonEnumeratedHeader_f
struct | CommonBitmaskHeader_rob
struct | CommonBitmaskHeader_f

## Functions

template<typename T, typename Tag>
size_t constexpr | StringSTypeDefn_offset_of ()
template<typename T, typename Tag>
size_t constexpr | StringLTypeDefn_offset_of ()
template<typename T, typename Tag>
size_t constexpr | MinimalMemberDetail_offset_of ()
template<typename T, typename Tag>
size_t constexpr | CommonCollectionHeader_offset_of ()
template<typename T, typename Tag>
size_t constexpr | CommonEnumeratedHeader_offset_of ()
template<typename T, typename Tag>
size_t constexpr | CommonBitmaskHeader_offset_of ()

## Function Documentation

## ◆ CommonBitmaskHeader_offset_of()

template<typename T, typename Tag>

size_t constexpr CommonBitmaskHeader_offset_of | ( |  | ) |

inline constexpr

## ◆ CommonCollectionHeader_offset_of()

template<typename T, typename Tag>

size_t constexpr CommonCollectionHeader_offset_of | ( |  | ) |

inline constexpr

## ◆ CommonEnumeratedHeader_offset_of()

template<typename T, typename Tag>

size_t constexpr CommonEnumeratedHeader_offset_of | ( |  | ) |

inline constexpr

## ◆ MinimalMemberDetail_offset_of()

template<typename T, typename Tag>

size_t constexpr MinimalMemberDetail_offset_of | ( |  | ) |

inline constexpr

## ◆ StringLTypeDefn_offset_of()

template<typename T, typename Tag>

size_t constexpr StringLTypeDefn_offset_of | ( |  | ) |

inline constexpr

## ◆ StringSTypeDefn_offset_of()

template<typename T, typename Tag>

size_t constexpr StringSTypeDefn_offset_of | ( |  | ) |

inline constexpr